<?php

	

	//Adds filter to customize messages for the slide post type



	add_filter( 'post_updated_messages', 'wsslides_updated_messages' );



	function wsslides_updated_messages( $ws_messages ) {



		global $post, $post_ID;



		$ws_messages['slide'] = array( 

  

			0  => '',

			1  => sprintf( __( 'Slide updated. <a href="%s">View slide</a>', 'ws-slides' ), esc_url( get_permalink($post_ID) ) ),

			2  => __( 'Custom field updated.', 'ws-slides' ),

			3  => __( 'Custom field deleted.', 'ws-slides' ),

			4  => __( 'Slide updated.', 'ws-slides' ),

			5  => isset($_GET['revision']) ? sprintf( __( 'Slide restored to revision from %s', 'ws-slides' ), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

			6  => sprintf( __( 'Slide published. <a href="%s">View slide</a>', 'ws-slides' ), esc_url( get_permalink($post_ID) ) ),

			7  => __( 'Slide saved.', 'ws-slides' ),

			8  => sprintf( __( 'Slide submitted. <a target="_blank" href="%s">Preview slide</a>', 'ws-slides' ), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

			9  => sprintf( __( 'Slide scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview slide</a>', 'ws-slides' ), date_i18n( __( 'M j, Y @ G:i', 'ws-slides' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

			10 => sprintf( __( 'Slide draft updated. <a target="_blank" href="%s">Preview slide</a>', 'ws-slides' ), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

 

		);



		return $ws_messages;

  

	}

	

	// Customize and move featured image box to main column

	

	add_action( 'do_meta_boxes', 'wsslides_image_box' );

	

	function wsslides_image_box() {

		

		$ws_image_options = get_option('wsslides_options');

		

		$ws_image_title = __( 'Slide Image', 'ws-slides' ) . ' (' . $ws_image_options['slide_width'] . 'x' . $ws_image_options['slide_height'] . ')';

	

		remove_meta_box( 'postimagediv', 'slide', 'side' );

	

		add_meta_box( 'postimagediv', $ws_image_title, 'post_thumbnail_meta_box', 'slide', 'normal', 'high' );

	

	}

	

	// Remove permalink metabox

	

	add_action( 'admin_menu', 'wsslides_remove_permalink_meta_box' );



	function wsslides_remove_permalink_meta_box() {

	

		remove_meta_box( 'slugdiv', 'slide', 'core' );

	

	}

		

	// Adds meta box for Slide URL

	

	add_action( 'admin_menu', 'wsslides_create_url_meta_box' );



	$wsslides_new_meta_box =



		array(

		

			'slide_url' => array(

			

				'name' => 'slide_url',

				'std'  => ''				

			)



		);



	function wsslides_new_meta_box() {

	

		global $post, $wsslides_new_meta_box;



		foreach ( $wsslides_new_meta_box as $wsslides_meta_box ) {



			$wsslides_meta_box_value = get_post_meta( $post->ID, $wsslides_meta_box['name'].'_value', true );  



			if( $wsslides_meta_box_value == "" ) $wsslides_meta_box_value = $wsslides_meta_box['std'];



			echo "<input type='hidden' name='" . $wsslides_meta_box['name'] . "_noncename' id='" . $wsslides_meta_box['name'] . " _noncename' value='" . wp_create_nonce( plugin_basename(__FILE__) ) . "' />";



			echo "<input type='text' name='" . $wsslides_meta_box['name'] . "_value' value='" . $wsslides_meta_box_value . "' size='55' /><br />";



			echo "<p>" . __('Slide Link','ws-slides') . "</p>";



		}



	}



	function wsslides_create_url_meta_box() {

	

		global $theme_name;



		if ( function_exists('add_meta_box') ) {



			add_meta_box( 'wsslides-url-box', __('Slide Link','ws-slides'), 'wsslides_new_meta_box', 'slide', 'normal', 'low' );



		}



	}

	

	// Save and retrieve the Slide URL data

	

	add_action( 'save_post', 'wsslides_save_postdata' );



	function wsslides_save_postdata( $post_id ) {



		global $post, $wsslides_new_meta_box;



		foreach( $wsslides_new_meta_box as $wsslides_meta_box ) {



			if ( !isset( $_POST[$wsslides_meta_box['name'].'_noncename']  ) || !wp_verify_nonce( $_POST[$wsslides_meta_box['name'].'_noncename'], plugin_basename(__FILE__) ) ) {



				return $post_id;



			}



			if ( 'page' == $_POST['post_type'] ) {



				if( !current_user_can( 'edit_page', $post_id ) )



				return $post_id;



			}

			

			else {

			

				if( !current_user_can( 'edit_post', $post_id ) )



				return $post_id;



			}



			$ws_data = $_POST[$wsslides_meta_box['name'].'_value'];



			if ( get_post_meta( $post_id, $wsslides_meta_box['name'].'_value' ) == "" ) {

			

				add_post_meta( $post_id, $wsslides_meta_box['name'].'_value', $ws_data, true );

			

			}

			

			elseif ( $ws_data != get_post_meta( $post_id, $wsslides_meta_box['name'].'_value', true ) ) {



				update_post_meta( $post_id, $wsslides_meta_box['name'].'_value', $ws_data );

			

			}



			elseif ( $ws_data == "" ) {



				delete_post_meta( $post_id, $wsslides_meta_box['name'].'_value', get_post_meta( $post_id, $wsslides_meta_box['name'].'_value', true ) );

			

			}

			

		}



	}

	

	// Adds slide image and link to slides column view

	

	add_filter( 'manage_edit-slide_columns', 'wsslides_edit_columns' );

 

	function wsslides_edit_columns( $ws_columns ) {

	

		$ws_columns = array(

		

			'cb'         => '<input type="checkbox" />',

			'slide'      => __( 'Slide Image', 'ws-slides' ),

			'title'      => __( 'Slide Title', 'ws-slides' ),

			'slide-link' => __( 'Slide Link', 'ws-slides' ),

			'date'       => __( 'Date', 'ws-slides' )



		);

 

		return $ws_columns;

  

	}

	

	add_action( 'manage_posts_custom_column', 'wsslides_custom_columns' );

	

	function wsslides_custom_columns( $ws_column ) {

	

		global $post;

 

		switch ( $ws_column ) {

		

			case 'slide' :

			

				echo the_post_thumbnail('featured-slide-thumb');

			

			break;

			

			case 'slide-link' :

			

				if ( get_post_meta($post->ID, "slide_url_value", $single = true) != "" ) {

				

					echo "<a href='" . get_post_meta($post->ID, "slide_url_value", $single = true) . "'>" . get_post_meta($post->ID, "slide_url_value", $single = true) . "</a>";

			

				}  

			

				else {

				

					_e('No Link', 'ws-slides');

			

				}

			

			break;



		}

		

	}

	

	// setup contextual help action

	

	add_action( 'current_screen', 'wsslides_contextual_help_action' );



	function wsslides_contextual_help_action() {

	

		$ws_screen_action = get_current_screen();

	

		if ( 'slide' == $ws_screen_action->id && 'add' == $ws_screen_action->action ) {

		

			$ws_load_action = 'load-post-new.php';

		

		} elseif ( 'slide' == $ws_screen_action->id ) {



			$ws_load_action = 'load-post.php';	

			

		} elseif ( 'edit-slide' == $ws_screen_action->id ) {



			$ws_load_action = 'load-edit.php';



		} elseif ( 'edit-slideshow' == $ws_screen_action->id ) {

			

			$ws_load_action = 'load-edit-tags.php';

		

		} elseif ( 'slide_page_slides_settings' == $ws_screen_action->id ) {

		

			$ws_load_action = 'load-slide_page_slides_settings';

			

		}

		

		if ( !empty( $ws_load_action ) ) {

		

			add_action( $ws_load_action, 'wsslides_add_contextual_help' );

		

		}

		

	}

	

	// add contextual help for slides

	

	function wsslides_add_contextual_help() {

		

			$ws_contextual_screen = get_current_screen();

			

		if ('slide' == $ws_contextual_screen->id ) {

		

			$ws_contextual_first_id = 'slide';

			

			if ( 'add' == $ws_contextual_screen->action ) {

			

				$ws_contextual_first_title = __( 'Add New Slide', 'ws-slides' );

				

			} else {

			

				$ws_contextual_first_title = __( 'Edit Slide', 'ws-slides' );

			

			}

			

			$ws_contextual_first_content =

			

			'<p>'  . __( '<strong>Title</strong> - Name the slide so it can be easily found later.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slide Image</strong> - To add an image to a slide, click the "Set featured image" link. Upload an image, or browse the media library for one, click the "Use as featured image" link to add the image and then close the media uploader. The Slide Image metabox should now have a thumbnail image.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slide Link</strong> - Add the full URL to the Slide Link metabox, such as <em>http://www.jleuze.com/</em> (Optional)', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slideshows</strong> - A slide can be added <a href="http://www.jleuze.com/plugins/ws-slides/multiple-slideshows/">to a slideshow</a> by selecting the slideshow from the Slideshows metabox.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( "<strong>Slide Order</strong> - Slides are sorted chronologically, edit the slide's published date to change the order of the slide.", "ws-slides" ) . '</p>';

			

			$ws_contextual_sidebar =

			

			

			'<p><strong>' . __( 'For more information', 'ws-slides' ) . '</strong></p>' .

			'<p>'  . __( '<a href="http://www.thewebsquad.com" target="_blank">The Web Squad</a>', 'ws-slides' ) . '</p>' .

		

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_first_id,

				'title'   => $ws_contextual_first_title,

				'content' => $ws_contextual_first_content



			) );

		

		} elseif ( 'edit-slide' == $ws_contextual_screen->id ) {



			$ws_contextual_first_id      = 'edit-slide';

			$ws_contextual_first_title   = __( 'Slides Overview', 'ws-slides' );		

			$ws_contextual_first_content =

			

			'<p>'  . __( 'From the slides overview the image, title, and link of each slide can be viewed. Choose a slide to edit, or add a new slide.', 'ws-slides' ) . '</p>';

			

			$ws_contextual_sidebar =

			

			

			'<p><strong>' . __( 'For more information', 'ws-slides' ) . '</strong></p>' .

			'<p>'  . __( '<a href="http://www.thewebsquad.com" target="_blank">The Web Squad</a>', 'ws-slides' ) . '</p>' .

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_first_id,

				'title'   => $ws_contextual_first_title,

				'content' => $ws_contextual_first_content



			) );

			

		} elseif ( 'edit-slideshow' == $ws_contextual_screen->id ) {

			

			$ws_contextual_first_id      = 'edit-slideshow';

			$ws_contextual_first_title   = __( 'Multiple Slideshows', 'ws-slides' );

			$ws_contextual_first_content =

			

			'<p>'  . __( 'Slides can be organized into slideshows, just as posts can be organized into categories.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Add New Slideshow</strong> - Name the slideshow, specify a Slug or one will be generated from the name, skip the Parent and Description and click "Add New Slideshow".', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Add Slide to Slideshow</strong> - Edit a slide and select the slideshow in the Slideshows metabox.', 'ws-slides' ) . '</p>';



			$ws_contextual_second_id      = 'add-specific-slideshow';

			$ws_contextual_second_title   = __( 'Adding A Specific Slideshow', 'ws-slides' );

			$ws_contextual_second_content =

			

			'<p>'  . __( 'Add a slideshow slug to a template tag, shortcode, or select a slideshow in the widget to load a specific slideshow. Here is an example using the shortcode:', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<code>[ws_slideshow slideshow="slug"]</code>', 'ws-slides' ) . '</p>';



			

			$ws_contextual_sidebar =

			

			

			'<p><strong>' . __( 'For more information', 'ws-slides' ) . '</strong></p>' .

			'<p>'  . __( '<a href="http://www.thewebsquad.com" target="_blank">The Web Squad</a>', 'ws-slides' ) . '</p>' .

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_first_id,

				'title'   => $ws_contextual_first_title,

				'content' => $ws_contextual_first_content



			) );

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_second_id,

				'title'   => $ws_contextual_second_title,

				'content' => $ws_contextual_second_content



			) );

			

		} elseif ( 'slide_page_slides_settings' == $ws_contextual_screen->id ) {

		

			$ws_contextual_first_id      = 'slide_page_slides_settings';

			$ws_contextual_first_title   = __( 'Configure Slideshow', 'ws-slides' );

			$ws_contextual_first_content =

			

			'<p>'  . __( '<em>Before adding any slides, enter the slide height and width in the settings so the slides are the correct dimensions.</em>', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slideshow Quantity</strong> - Choose the number of slides that are loaded in the slideshow.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slide Height</strong> - Enter the height of your slides in pixels. For slides of different heights, use the height of the tallest slide.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slide Width</strong> - Enter the width of your slides in pixels. Slides that are narrower than this will be centered in the slideshow.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Transition Style</strong> - Choose the effect that is used to transition between slides.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Transition Speed</strong> - Enter the number of seconds that it should take for a transition between slides to complete.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slide Duration</strong> - Enter the number of seconds that each slide should be paused on in the slideshow.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Slideshow Navigation</strong> - Slideshows have no navigation by default, previous/next and/or paged navigation can be added.', 'ws-slides' ) . '</p>';



			$ws_contextual_second_id      = 'slide_page_slides_settings_metadata';

			$ws_contextual_second_title   = __( 'Additional Options', 'ws-slides' );

			$ws_contextual_second_content =

			

			'<p>'  . __( 'Only the options below are required, but jQuery Cycle has <a href="http://jquery.malsup.com/cycle/options.html">additional options</a> that can be changed <a href="http://www.jleuze.com/plugins/ws-slides/using-metadata/">using metadata</a>.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( 'Here is an example using metadata with the shortcode to set the slide order to random:', 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<code>[ws_slideshow metadata="random: 1"]</code>', 'ws-slides' ) . '</p>';

			

			$ws_contextual_third_id      = 'slide_page_slides_settings_add';

			$ws_contextual_third_title   = __( 'Add Slideshow', 'ws-slides' );

			$ws_contextual_third_content =

			

			'<p>'  . __( "<strong>Template Tag</strong> - Use this template tag in a theme file: <code><&#63;php if ( function_exists( 'ws_slideshow' ) ) { ws_slideshow(); } &#63;></code>", 'ws-slides' ) . '</p>' .

			'<p>'  . __( "<strong>Shortcode</strong> - Use this shortcode to add a slideshow via the Post or Page editor: <code>[ws_slideshow]</code>", 'ws-slides' ) . '</p>' .

			'<p>'  . __( '<strong>Widget</strong> - Use the ws Slides Widget to add a slideshow to a widgetized area.', 'ws-slides' ) . '</p>' .

			'<p>'  . __( 'Check out the documentation on <a href="http://www.jleuze.com/plugins/ws-slides/adding-a-slideshow/" target="_blank">adding a slideshow</a> for more info.', 'ws-slides' ) . '</p>';

		

			$ws_contextual_sidebar =

			

			'<p><strong>' . __( 'For more information', 'ws-slides' ) . '</strong></p>' .

			'<p>'  . __( '<a href="http://www.thewebsquad.com" target="_blank">The Web Squad</a>', 'ws-slides' ) . '</p>' .

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_first_id,

				'title'   => $ws_contextual_first_title,

				'content' => $ws_contextual_first_content



			) );

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_second_id,

				'title'   => $ws_contextual_second_title,

				'content' => $ws_contextual_second_content



			) );

			

			$ws_contextual_screen->add_help_tab( array(



				'id'      => $ws_contextual_third_id,

				'title'   => $ws_contextual_third_title,

				'content' => $ws_contextual_third_content



			) );

		

		}

		

		$ws_contextual_screen->set_help_sidebar( $ws_contextual_sidebar );

		

	}



	// Adds Slideshow settings page

	

	function wsslides_set_options_cap(){



		if ( function_exists( 'members_get_capabilities' ) ) {

	

			return 'wsslides_manage_options';

		

		} else {

	

			return 'manage_options';

		

		}

	

	}

	

	add_filter( 'option_page_capability_wsslides_options', 'wsslides_options_cap' );

	

	function wsslides_options_cap( $capability ) {

	

		if ( function_exists( 'members_get_capabilities' ) ) {

	

			return 'wsslides_manage_options';

		

		} else {

	

			return 'manage_options';

		

		}

		

	}

		

	add_action( 'admin_menu', 'wsslides_menu' );



	function wsslides_menu() {

		

		add_submenu_page( 'edit.php?post_type=slide', __( 'Slides Settings', 'ws-slides' ), __( 'Settings', 'ws-slides' ), wsslides_set_options_cap(),  'slides_settings', 'wsslides_settings_page' );

		

	}

	

	function wsslides_settings_page() {

		

		include( 'ws-slides-settings.php' );

	

	}

	

	// Add custom slide capabilities for the Members plugin

	

	add_action( 'admin_init', 'wsslides_members_capabilities' );



	function wsslides_members_capabilities() {

	

		if ( function_exists( 'members_get_capabilities' ) ) {

	

			add_filter( 'members_get_capabilities', 'wsslides_add_members_caps' );

		

		}

	

	}



	function wsslides_add_members_caps( $caps ) {

	

		$caps[] = 'wsslides_manage_options';

		$caps[] = 'wsslides_edit_slide';

		$caps[] = 'wsslides_edit_slides';

		$caps[] = 'wsslides_edit_others_slides';

		$caps[] = 'wsslides_publish_slides';

		$caps[] = 'wsslides_read_slides';

		$caps[] = 'wsslides_read_private_slides';

		$caps[] = 'wsslides_delete_slide';

		$caps[] = 'wsslides_manage_slideshows';

		

		return $caps;

		

	}

	

	// Adds link to settings page on plugins page

		

	add_filter( 'plugin_action_links', 'wsslides_settings_link', 10, 2 );

	

	function wsslides_settings_link( $ws_links, $ws_file ) {

		

		if ( $ws_file == plugin_basename( 'ws-slides/ws-slides-plugin.php' ) ) {

		

			$ws_links[] = '<a href="edit.php?post_type=slide&page=slides_settings">'.__( 'Settings', 'ws-slides' ).'</a>';

	

		}

		

		return $ws_links;

		

	}

	

	// Register options for settings page



	add_action( 'admin_init', 'wsslides_register_settings' );

	

	function wsslides_register_settings() {



		register_setting( 'wsslides_options', 'wsslides_options' );

		

		add_settings_section( 'wsslides_slideshow', __( 'Configure Slideshow', 'ws-slides' ), 'wsslides_section_text', 'wsslides' );

		

		add_settings_field( 'slideshow_quantity', __( 'Slideshow Quantity', 'ws-slides' ), 'wsslides_slideshow_quantity', 'wsslides', 'wsslides_slideshow' );

		

		add_settings_field( 'slide_width', __( 'Slide Image Width', 'ws-slides' ), 'wsslides_slide_width', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'slide_height', __( 'Slide Image Height', 'ws-slides' ), 'wsslides_slide_height', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'slidebox_width', __( 'Slide Box Width', 'ws-slides' ), 'wsslides_slidebox_width', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'slidebox_height', __( 'Slide Box Height', 'ws-slides' ), 'wsslides_slidebox_height', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'transition_style', __( 'Transition Style', 'ws-slides' ), 'wsslides_transition_style', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'transition_speed', __( 'Transition Speed', 'ws-slides' ), 'wsslides_transition_speed', 'wsslides', 'wsslides_slideshow' );



		add_settings_field( 'slide_duration', __( 'Slide Duration', 'ws-slides' ), 'wsslides_slide_duration', 'wsslides', 'wsslides_slideshow' );

	

		add_settings_field( 'slideshow_navigation', __( 'Slideshow Navigation', 'ws-slides' ), 'wsslides_slideshow_navigation', 'wsslides', 'wsslides_slideshow' );



	}

	

	// Validates values for options on settings page

	

	function wsslides_options_validate( $ws_input ) {



		$ws_options = get_option( 'wsslides_options' );



		$ws_options['slideshow_quantity'] = trim( $ws_input['slideshow_quantity'] );



		if ( !preg_match( '/^[0-9]{1,3}$/i', $ws_options['slideshow_quantity'] ) ) {



			$ws_options['slideshow_quantity'] = '';



		}

		

		$ws_options['slide_height'] = trim( $ws_input['slide_height'] );



		if ( !preg_match( '/^[0-9]{1,4}$/i', $ws_options['slide_height'] ) ) {



			$ws_options['slide_height'] = '';



		}

		

		$ws_options['slide_width'] = trim( $ws_input['slide_width'] );



		if ( !preg_match( '/^[0-9]{1,5}$/i', $ws_options['slide_width'] ) ) {



			$ws_options['slide_width'] = '';



		}



		$ws_options['slidebox_height'] = trim( $ws_input['slidebox_height'] );



		if ( !preg_match( '/^[0-9]{1,4}$/i', $ws_options['slidebox_height'] ) ) {



			$ws_options['slidebox_height'] = '';



		}

		

		$ws_options['slidebox_width'] = trim( $ws_input['slidebox_width'] );



		if ( !preg_match( '/^[0-9]{1,5}$/i', $ws_options['slidebox_width'] ) ) {



			$ws_options['slidebox_width'] = '';



		}

				

		$ws_options['transition_style'] = trim( $ws_input['transition_style'] );



		if ( !preg_match( '/^[a-z]{4,20}$/i', $ws_options['transition_style'] ) ) {



			$ws_options['transition_style'] = '';



		}

		

		$ws_options['transition_speed'] = trim( $ws_input['transition_speed'] );



		if ( !preg_match( '/^[0-9]{1,3}$/i', $ws_options['transition_speed'] ) ) {



			$ws_options['transition_speed'] = '';



		}

		

		$ws_options['slide_duration'] = trim( $ws_input['slide_duration'] );



		if ( !preg_match( '/^[0-9]{1,3}$/i', $ws_options['slide_duration'] ) ) {



			$ws_options['slide_duration'] = '';



		}

		

		$ws_options['slideshow_navigation'] = trim( $ws_input['slideshow_navigation'] );



		if ( !preg_match( '/^[a-z]{4,20}$/i', $ws_options['slideshow_navigation'] ) ) {



			$ws_options['slideshow_navigation'] = '';



		}



		return $ws_options;

		

	}

	

	// Adds translation support for language files

	

	add_action( 'plugins_loaded', 'wsslides_localization' );



	function wsslides_localization() {

		

		load_plugin_textdomain( 'ws-slides', false, '/ws-slides/languages/' );

		

	}



	// Adds CSS for the Slides admin pages

	

	add_action( 'admin_enqueue_scripts', 'wsslides_admin_css' );



	function wsslides_admin_css() {

		

		global $post_type;

				

		if ( ( isset( $_GET['post_type'] ) && $_GET['post_type'] == 'slide' ) || ( isset( $post_type ) && $post_type == 'slide' ) ) {

	

			wp_enqueue_style( 'ws-slides-admin', plugins_url( 'ws-slides/css/ws-slides-admin.css' ), array(), '1.0' );

	

		}

		

	}

add_post_type_support('slide', 'editor'); 

?>